{% extends "base_new.html" %}
{% load static %}

{% block css %}
<link rel="stylesheet" href="{% static 'mahasiswa/css/style.css' %}">
{% endblock %}

{% block main %}
<div class="hero"></div>
<div class="container main">
    <div class="row main__header">
        <div class="container">
            <div class="row main__profile-pic justify-content-center mb-4">
                {% if user.user_mahasiswa.profpic_url != None %}
                <img src="{{ user.user_mahasiswa.profpic_url }}" alt="profile">
                {% else %}
                <img src="{% static 'mahasiswa/img/user_placeholder.png' %}" alt="profile_placeholder">
                {% endif %}
            </div>
            <div class="row main__name justify-content-center">
                <h1 class="text-center">{{ user.user_mahasiswa.nama_lengkap}}</h1>
            </div>
            <div class="row main__subtitle text-center justify-content-center mb-2">
                {{ user.user_mahasiswa.headline }}
            </div>
            <div class="row main__location text-center justify-content-center mb-3">
                {{ user.user_mahasiswa.location }}
            </div>
        </div>
    </div>
    <div class="main__toolbar">
        <a class="main__item" href="#"><i class="icon-pencil icons"></i></a>
        <a class="main__item" href="#"><i class="icon-options icons"></i></a>
    </div>
    <div class="row main__body">
        <div class="container">
            <div class="row main__exp">
                <div class="container-fluid">
                    <div class="card bg-white-grey">
                        <div class="card-body">
                            <div class="container">
                                <div class="row">
                                    <h4 class="main__title">Experiences</h4>
                                </div>
                                {% for exp in user.experiences %}
                                <div class="row main__item p-3 mt-3">
                                    <div class="col-lg-auto main__logo mb-lg-0 mb-4 text-center">
                                        {% if user.user_mahasiswa.profpic_url != None %}
                                        <img class="img-responsive" src="{{ exp.organization_logo_url }}"
                                             alt="company-logo">
                                        {% else %}
                                        <img class="img-responsive" src="{% static 'mahasiswa/img/company_placeholder.png' %}"
                                             alt="company-logo">
                                        {% endif %}
                                    </div>
                                    <div class="col-lg-7 text-lg-left text-center">
                                        <div class="row main__title">
                                            <div class="col">
                                                {{ exp.organization }}
                                            </div>
                                        </div>
                                        <div class="row main__position mb-lg-0 mb-2">
                                            <div class="col">
                                                {{ exp.title }}
                                            </div>
                                        </div>
                                        <div class="row main__description">
                                            <div class="col">
                                                {{ exp.description }}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col mt-lg-0 mt-3">
                                        <div class="row">
                                            <div class="col-3 col-lg-12 text-right">
                                                <small>start from</small>
                                            </div>
                                            <div class="col-3 col-lg-12 text-left text-lg-right main__date">
                                                {{ exp.start_date }}
                                            </div>
                                            <div class="col-3 col-lg-12 text-right">
                                                <small>until</small>
                                            </div>
                                            <div class="col-3 col-lg-12 text-left text-lg-right main__date">
                                                {{ exp.end_date }}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}